<?php

namespace Drupal\pagedesigner;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Interface for the pagedesigner service implementation.
 */
interface PagedesignerServiceInterface {

  /**
   * Enable translations on the field.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The entity to delete the elements for.
   * @param string $field_name
   *   (Optional) The field to delete the elements for.
   */
  public function enableTranslation(ContentEntityInterface &$entity, string $field_name = NULL);

  /**
   * Add the container for a field.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The entity to delete the elements for.
   * @param string $field_name
   *   (Optional) The field to delete the elements for.
   */
  public function addContainerForField(ContentEntityInterface &$entity, string $field_name);

  /**
   * Mark pagedesigner elements as deleted.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The entity to delete the elements for.
   * @param string $field_name
   *   (Optional) The field to delete the elements for.
   */
  public function clearPagedesigner(ContentEntityInterface &$entity, string $field_name = NULL);

}
