<?php

namespace Drupal\pagedesigner\Plugin\pagedesigner\Handler;

use Drupal\pagedesigner\Entity\Element;

/**
 * Process entities of type "textarea".
 *
 * @PagedesignerHandler(
 *   id = "textarea",
 *   name = @Translation("Textarea renderer"),
 *   types = {
 *     "textarea"
 *   },
 * )
 */
class Textarea extends Longtext {

  /**
   * {@inheritdoc}
   */
  public function render(Element $entity, array &$build = []) {
    $value = $this->elementHandler->get($entity);
    $format = \Drupal::config('pagedesigner.settings')->get('filter_format_textarea');
    if (empty($format)) {
      $format = 'plain_text';
    }
    $build = [
      '#type' => 'processed_text',
      '#text' => $value,
      '#format' => $format,
      '#filter_types_to_skip' => [],
      '#langcode' => $entity->langcode->value,
    ] + $build;
    \Drupal::service('renderer')->addCacheableDependency($build, $entity);
  }

}
